NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.GeometricUtilities.ControlPoleManagerData Class Reference

This class manages the control poles for a set of surfaces or curves. More...

Inheritance diagram for NXOpen.GeometricUtilities.ControlPoleManagerData:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe int CreatePolesGroup ()
 Creates a new poles group More...
 
unsafe void DeletePolesGroup (int groupIndex)
 Deletes a group of poles More...
 
unsafe void DeselectPoles (int groupIndex, int[] polesIndex, NXOpen.Point[] poles)
 Removes selected pole More...
 
unsafe bool GetIsUPeriodic (int groupIndex)
 Queries periodicity in U direction of a group of poles More...
 
unsafe bool GetIsVPeriodic (int groupIndex)
 Queries periodicity in V direction of a group of poles More...
 
unsafe void GetPoles (int groupIndex, out int[] polesIndex, out NXOpen.Point[] poles)
 Gets poles of an entity More...
 
unsafe void GetSelectedPoles (int groupIndex, out int[] polesIndex, out NXOpen.Point[] poles)
 Gets selected poles More...
 
unsafe int GetUDimension (int groupIndex)
 Queries dimension in U direction of a group of poles More...
 
unsafe int GetVDimension (int groupIndex)
 Queries dimension in V direction of a group of poles More...
 
unsafe void SelectPoles (int groupIndex, int[] polesIndex, NXOpen.Point[] poles)
 Adds new selected pole More...
 
unsafe void SetIsUPeriodic (int groupIndex, bool uPeriodicity)
 Sets periodicity in U direction of a group of poles More...
 
unsafe void SetIsVPeriodic (int groupIndex, bool vPeriodicity)
 Sets periodicity in V direction of a group of poles More...
 
unsafe void SetPoleGroupEntity (int groupIndex, NXOpen.Face face)
 Sets face to control poles group More...
 
unsafe void SetPoleGroupEntity (int groupIndex, NXOpen.Curve curve)
 Sets curve to control poles group More...
 
unsafe void SetPoles (int groupIndex, int[] polesIndex, NXOpen.Point[] poles)
 Sets new group poles More...
 
unsafe void SetUDimension (int groupIndex, int uDimension)
 Sets dimension in U direction of a group of poles More...
 
unsafe void SetVDimension (int groupIndex, int vDimension)
 Sets dimension in V direction of a group of poles More...
 
unsafe void UpdatePolePositions (int groupIndex, int[] poleIndex, NXOpen.Point3d[] newPosition)
 Updates pole positions More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class manages the control poles for a set of surfaces or curves.

Created in NX6.0.0

Member Function Documentation

unsafe int NXOpen.GeometricUtilities.ControlPoleManagerData.CreatePolesGroup ( )
inline

Creates a new poles group

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Returns
New group index for newly created poles group.
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.DeletePolesGroup ( int  groupIndex)
inline

Deletes a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexGroup index for the group to be deleted.
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.DeselectPoles ( int  groupIndex,
int[]  polesIndex,
NXOpen.Point[]  poles 
)
inline

Removes selected pole

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexEntity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
polesIndexPoles index
polesPoles
unsafe bool NXOpen.GeometricUtilities.ControlPoleManagerData.GetIsUPeriodic ( int  groupIndex)
inline

Queries periodicity in U direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
Returns
U Periodicity
unsafe bool NXOpen.GeometricUtilities.ControlPoleManagerData.GetIsVPeriodic ( int  groupIndex)
inline

Queries periodicity in V direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
Returns
V Periodicity
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.GetPoles ( int  groupIndex,
out int[]  polesIndex,
out NXOpen.Point[]  poles 
)
inline

Gets poles of an entity

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexEntity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
polesIndexPoles index
polesPoles
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.GetSelectedPoles ( int  groupIndex,
out int[]  polesIndex,
out NXOpen.Point[]  poles 
)
inline

Gets selected poles

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexEntity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
polesIndexPoles index
polesPoles
unsafe int NXOpen.GeometricUtilities.ControlPoleManagerData.GetUDimension ( int  groupIndex)
inline

Queries dimension in U direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
Returns
U Dimension
unsafe int NXOpen.GeometricUtilities.ControlPoleManagerData.GetVDimension ( int  groupIndex)
inline

Queries dimension in V direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
Returns
V Dimension
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SelectPoles ( int  groupIndex,
int[]  polesIndex,
NXOpen.Point[]  poles 
)
inline

Adds new selected pole

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexEntity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
polesIndexPoles index
polesPoles
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetIsUPeriodic ( int  groupIndex,
bool  uPeriodicity 
)
inline

Sets periodicity in U direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
uPeriodicityU Periodicity
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetIsVPeriodic ( int  groupIndex,
bool  vPeriodicity 
)
inline

Sets periodicity in V direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
vPeriodicityV Periodicity
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetPoleGroupEntity ( int  groupIndex,
NXOpen.Face  face 
)
inline

Sets face to control poles group

Created in NX7.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpole group index
faceface
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetPoleGroupEntity ( int  groupIndex,
NXOpen.Curve  curve 
)
inline

Sets curve to control poles group

Created in NX7.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpole group index
curvecurve
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetPoles ( int  groupIndex,
int[]  polesIndex,
NXOpen.Point[]  poles 
)
inline

Sets new group poles

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexEntity group index. Control Pole Manager needs to handle poles from different surfaces or curves. Therefore, poles need to be grouped. Poles associated with the same entity are placed into a group. When setting or getting poles from the Pole Manager, the caller needs to provide a group index to identify poles with the proper entity group.
polesIndexPoles index
polesPoles
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetUDimension ( int  groupIndex,
int  uDimension 
)
inline

Sets dimension in U direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
uDimensionU Dimension
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.SetVDimension ( int  groupIndex,
int  vDimension 
)
inline

Sets dimension in V direction of a group of poles

Created in NX6.0.1

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
vDimensionV Dimension
unsafe void NXOpen.GeometricUtilities.ControlPoleManagerData.UpdatePolePositions ( int  groupIndex,
int[]  poleIndex,
NXOpen.Point3d[]  newPosition 
)
inline

Updates pole positions

Created in NX7.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
groupIndexpoles group index
poleIndexpole index in the group
newPositionPole new position
unsafe bool NXOpen.GeometricUtilities.ControlPoleManagerData.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.